Delete an attachment
curl --request DELETE \
--url https://api.domo.com/v1/project/{PROJECT_ID}/tasks/{TASK_ID}/attachments/{ATTACHMENT_ID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/project/{PROJECT_ID}/tasks/{TASK_ID}/attachments/{ATTACHMENT_ID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/project/{PROJECT_ID}/tasks/{TASK_ID}/attachments/{ATTACHMENT_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects and Tasks API
Delete an attachment
Permanently deletes an attachment from your task.
Warning
This is destructive and cannot be reversed.
DELETE
/
v1
/
project
/
{PROJECT_ID}
/
tasks
/
{TASK_ID}
/
attachments
/
{ATTACHMENT_ID}
Delete an attachment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project that the attachment belongs to
The ID of the task that the attachment belongs to
The ID of the attachment to be deleted
Response
200
Returns the parameter of success or error based on the attachment ID being valid.
⌘I